package common.entity.npc;

public enum Energy {
	SPIRITUAL(-100, 'S', "spiritual", "SPR", 0x00ff00, 0x00ffff), // angelic
	NATURAL(-10, 'N', "natural", "NAT", 0x00bf00, 0x00bfbf),
	HADIC(-1, 'H', "hadic", "HDC", 0x005f00, 0x005f5f), // humanic
	
	// +DEF
	// 
	// +ATK
	
	CEDIC(1, 'C', "cedic", "CDC", 0x5f0000, 0x5f005f), // combatic
	ARCANE(10, 'A', "arcane", "ARC", 0xbf0000, 0xbf00bf), // arcanic
	DEMONIC(100, 'D', "demonic", "DEM", 0xff0000, 0xff00ff);

	public final int dir;
	public final char id;
	public final String name;
	public final String display;
	public final int color;
	public final int effect;
	
	private Energy(int dir, char id, String name, String display, int color, int effect) {
		this.dir = dir;
		this.id = id;
		this.name = name;
		this.display = display;
		this.color = color;
		this.effect = effect;
	}
}
